Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004949OCaml~DO NOT USE (was: OCaml general)public2009-12-28 15:062010-01-07 16:06
Reportergerd 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.12.0+dev 
Summary0004949: objinfo outputs C objects in wrong order
DescriptionFor example:

$ ocamlc -a -cclib -l1 -cclib -l2 -o t.cma t.cmo
$ objinfo t.cma
File t.cma
  Force custom: no
  Extra C object files: -l2 -l1
  ...

When a real link is done, the order is again reverted. I think objinfo should be changed to report the final order - which would be less confusing. objinfo is especially useful for diagnosing this kind of problem.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005223)
doligez (administrator)
2010-01-07 16:06

Fixed in trunk.

- Issue History
Date Modified Username Field Change
2009-12-28 15:06 gerd New Issue
2010-01-07 16:06 doligez Note Added: 0005223
2010-01-07 16:06 doligez Status new => closed
2010-01-07 16:06 doligez Resolution open => fixed
2010-01-07 16:06 doligez Fixed in Version => 3.12.0+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker